| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::GroupingViewImplementation Class Reference
Inheritance diagram for Digikam::GroupingViewImplementation:

## Public Member Functions
ItemInfoList | getHiddenGroupedInfos (const ItemInfoList &infos) const
virtual bool | hasHiddenGroupedImages (const ItemInfo &) const
| must be implemented by parent view
bool | needGroupResolving (OperationType type, const ItemInfoList &infos) const
ItemInfoList | resolveGrouping (const ItemInfoList &infos) const

## Member Function Documentation

## ◆ hasHiddenGroupedImages()

virtual bool Digikam::GroupingViewImplementation::hasHiddenGroupedImages | ( | const ItemInfo & |  | ) | const
| inline virtual

Reimplemented in Digikam::ItemThumbnailBar, Digikam::DigikamItemView, and Digikam::TableViewTreeView.